rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Public Types | Data Fields
_value Struct Reference

Encapsulation of a "value". More...

## Public Types
enum | { VALUE_TYPE_INTEGER, VALUE_TYPE_STRING }

## Data Fields
enum _value:: { ... } | type
union {
const char * s
int i
} | data

## Detailed Description

Encapsulation of a "value".

Definition at line 36 of file expression.c.

## Member Enumeration Documentation

anonymous enum

Enumerator
VALUE_TYPE_INTEGER |
VALUE_TYPE_STRING |

Definition at line 37 of file expression.c.

## Field Documentation

union { ... } _value::data

Referenced by doAddSubtract(), doLogical(), doMultiplyDivide(), doPrimary(), doRelational(), parseExpressionBoolean(), parseExpressionString(), valueFree(), valueMakeInteger(), and valueMakeString().

int _value::i

Definition at line 40 of file expression.c.

Referenced by doAddSubtract(), doLogical(), doMultiplyDivide(), doPrimary(), doRelational(), parseExpressionBoolean(), parseExpressionString(), and valueMakeInteger().

const char* _value::s

Definition at line 39 of file expression.c.

Referenced by doAddSubtract(), doPrimary(), doRelational(), parseExpressionBoolean(), parseExpressionString(), valueFree(), and valueMakeString().

enum { ... } _value::type

Referenced by parseExpressionBoolean(), parseExpressionString(), valueFree(), valueMakeInteger(), and valueMakeString().

The documentation for this struct was generated from the following file:

- build/expression.c